Subject: bug#1316: #1316 - 23.0.60; Image display OSX carbon - Emacs bug report logs

From: Adrian Robert <[email-masked]>
Date: Tue, 25 Nov 2008 15:53:29 -0500

On Nov 25, 2008, at 10:25 AM, Klymak Jody wrote:

>
> On Nov 24, 2008, at 5:01 PM, Adrian Robert wrote:
>
>> OK, in some sort of JPEG metadata (I'm not familiar with this, but  
>> wonder if ImageMagick lets you control it) the first says "250 DPI"  
>> and the second "72 DPI".  If you are on a Mac (maybe Leopard  
>> necessary) you can see the effect by opening in Preview, then in  
>> Preview's prefs toggle the 'Images'
>> | 'Default Image Size' option back and forth.
>>
>> Emacs.app currently respects the DPI.  Perhaps it should be changed  
>> to ignore it?  (I don't like the idea of an option, unless other  
>> platforms could be talked into supporting it.)
>
> I see, that makes sense.  Maybe the question is do other Emacs  
> respect the DPI?  The old version didn't. Does 23.x do so on other  
> platforms?  If so, then of course Carbon should as well.

I'm not sure what 23 does elsewhere but I'd rather consider the  
choices on their own merits.    I suspect users will expect and prefer  
the ignoring-DPI behavior, emacs not being a specialized image- 
preparation program, but I was interested in hearing the opinion of one.
;-)

> Again the problem was with docview mode, and their call of gs to  
> convert from pdf to png made high dpi pngs

Ah.  This behavior seems reasonable.